<?
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Статистика
=============================================
Official website: http://shcms.ru
=============================================
 Данный код защищен авторскими правами
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';


switch($act):

case'':
$shcmsengine['title'] = 'Статистика';
include_once'../template/head.php';

/*
-----------------------------
Статистика пользователей
-----------------------------
*/
$online_users = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `datelast` >".(time()-600).""),0);
$online_guest = mysql_result(mysql_query("SELECT COUNT(*) FROM online_guest WHERE time >".(time()-300).""),0);
$result10 = mysql_result(mysql_query ("SELECT COUNT(*) FROM users"),0);


$users_o = mysql_query("SELECT * FROM `users` WHERE `datereg` > '".(time()-60*60*24)."' ORDER BY `id` DESC LIMIT 15");
			if($brodilka == "web")
			{
echo '<table width="460" border="0" cellspacing="0" cellpadding="0">
  <tbody>
    <tr> <td class="posts" width="80" align="left" valign="top">';
echo '<img align="left" src="/template/icon/stat.png" border="0" alt=""/> </td>
<td width="380" align="left" valign="top"><strong style="margin:25%">Статистика пользователей</strong>
<div class="posts">
<div class="posts"><img src="/template/icon/users/v_users.gif"/> <a href="?act=users_list"><strong>Всего регистраций: </a> '.$result10.'</strong><br/>';
while($users_wh = mysql_fetch_array($users_o)) 
{echo '<a href="'.DIR_SHCMS.'change_view.php?id='.$users_wh['id'].'">'.$users_wh['login'].'</a>, ';}

echo  '</div>';
echo '<div class="posts"><img src="/template/icon/users/1.png"/> <a href="?act=online_users"><strong>Пользователей на сайте: </a> '.$online_users.'</strong></div>';
echo '<div class="posts"><img src="/template/icon/users/0.png"/> <a href="?act=guest_users"><strong>Гостей на сайте: </a> '.$online_guest.'</strong></div>';

$reg_ban = mysql_result(mysql_query("SELECT COUNT(*) FROM `ban_users`"),0);
echo '<div class="posts">Забанено: '.$reg_ban .'</div>';


  
      
     
$reg_sut = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `datereg` > '".(time() - 3600 * 24)."' ORDER BY `id` DESC"),0);
echo '<div class="posts">Зарегистрировано за сутки: '.$reg_sut.'</div>';


$reg_ned = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `datereg` > '".(time() - 3600*24*7)."' ORDER BY `id` DESC"),0);
echo '<div class="posts">Зарегистрировано за неделю: '.$reg_ned.'</div>';

$reg_mes = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `datereg` > '".(time() - 3600*24*31)."' ORDER BY `id` DESC"),0);
echo '<div class="posts">Зарегистрировано за месяц: '.$reg_mes.'</div></div>';

/*
-----------------------------
Статистика комментариев
-----------------------------
*/
echo '<strong style="margin:25%">Статистика комментариев</strong><div class="posts">';

$comment_uncos = mysql_result(mysql_query("SELECT COUNT(*) FROM `uncos_comment` "),0);
echo '<div class="posts">Комментарии к новостям: '.$comment_uncos.'</div>';


$comment_libs = mysql_result(mysql_query("SELECT COUNT(*) FROM `libs_comm` "),0);
echo '<div class="posts">Комментарии к статьям: '.$comment_libs.'</div>';

$comment_obmen = mysql_result(mysql_query("SELECT COUNT(*) FROM `down_comment` "),0);
echo '<div class="posts">Комментарии к файлам: '.$comment_obmen.'</div>';

echo '</div>';

/*
-----------------------------
Статистика форума
-----------------------------
*/

echo '<strong style="margin:30%">Статистика форума</strong><div class="posts">';

$forum_categor = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_cat` "),0);
echo '<div class="posts">Всего категорий: '.$forum_categor.'</div>';

$forum_razd = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_razd` "),0);
echo '<div class="posts">Всего разделов: '.$forum_razd.'</div>';

$forum_them = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_them` "),0);
echo '<div class="posts">Всего тем: '.$forum_them.'</div>';

$forum_message = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_mess` "),0);
echo '<div class="posts">Всего сообщений: '.$forum_message.'</div>';


echo '</div>';
echo '      </td>
    </tr>
  </tbody>
</table>';
		}
		else
		{

echo '<strong style="margin:25%">Статистика пользователей</strong>
<div class="posts">
<div class="posts"><img src="/template/icon/users/v_users.gif"/> <a href="?act=users_list"><strong>Всего регистраций: </a> '.$result10.'</strong><br/>';
while($users_wh = mysql_fetch_array($users_o)) 
{echo '<a href="'.DIR_SHCMS.'change_view.php?id='.$users_wh['id'].'">'.$users_wh['login'].'</a>, ';}

echo  '</div>';
echo '<div class="posts"><img src="/template/icon/users/1.png"/> <a href="?act=online_users"><strong>Пользователей на сайте: </a> '.$online_users.'</strong></div>';
echo '<div class="posts"><img src="/template/icon/users/0.png"/> <a href="?act=guest_users"><strong>Гостей на сайте: </a> '.$online_guest.'</strong></div>';

$reg_ban = mysql_result(mysql_query("SELECT COUNT(*) FROM `ban_users`"),0);
echo '<div class="posts">Забанено: '.$reg_ban .'</div>';


  
      
     
$reg_sut = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `datereg` > '".(time() - 3600 * 24)."' ORDER BY `id` DESC"),0);
echo '<div class="posts">Зарегистрировано за сутки: '.$reg_sut.'</div>';


$reg_ned = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `datereg` > '".(time() - 3600*24*7)."' ORDER BY `id` DESC"),0);
echo '<div class="posts">Зарегистрировано за неделю: '.$reg_ned.'</div>';

$reg_mes = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `datereg` > '".(time() - 3600*24*31)."' ORDER BY `id` DESC"),0);
echo '<div class="posts">Зарегистрировано за месяц: '.$reg_mes.'</div></div>';

/*
-----------------------------
Статистика комментариев
-----------------------------
*/
echo '<strong style="margin:25%">Статистика комментариев</strong><div class="posts">';

$comment_uncos = mysql_result(mysql_query("SELECT COUNT(*) FROM `uncos_comment` "),0);
echo '<div class="posts">Комментарии к новостям: '.$comment_uncos.'</div>';


$comment_libs = mysql_result(mysql_query("SELECT COUNT(*) FROM `libs_comm` "),0);
echo '<div class="posts">Комментарии к статьям: '.$comment_libs.'</div>';

$comment_obmen = mysql_result(mysql_query("SELECT COUNT(*) FROM `down_comment` "),0);
echo '<div class="posts">Комментарии к файлам: '.$comment_obmen.'</div>';

echo '</div>';

/*
-----------------------------
Статистика форума
-----------------------------
*/

echo '<strong style="margin:30%">Статистика форума</strong><div class="posts">';

$forum_categor = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_cat` "),0);
echo '<div class="posts">Всего категорий: '.$forum_categor.'</div>';

$forum_razd = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_razd` "),0);
echo '<div class="posts">Всего разделов: '.$forum_razd.'</div>';

$forum_them = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_them` "),0);
echo '<div class="posts">Всего тем: '.$forum_them.'</div>';

$forum_message = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_mess` "),0);
echo '<div class="posts">Всего сообщений: '.$forum_message.'</div>';


echo '</div>';


		}
break;
/*
-----------------------------
Все пользователи сайта
-----------------------------
*/
case'users_list':
$shcmsengine['title'] = 'Все пользователи';
include_once'../template/head.php';


/*
=============
Сортировка
=============
*/
switch (@$_GET['sorting']) 
    {
	//Сортировать по Баллам
    case 'ball':
	$order = '`users`.`ball`';
	$sorting = 'ball';
	$classify = 'DESC';
 	break;
	//Сортировать по Статусу
    case 'team':
	$order = '`users`.`team`';
	$sorting = 'team';
	$classify = 'DESC';
 	break;
	//Сортировать по Полу
	case 'pol':
	$order = '`users`.`pol`';
	$sorting = 'pol';
	$classify= 'DESC';
 	break;
	//Сортировать по ID
	case 'id':
	$order = '`users`.`id`';
	$sorting = 'id';
	$classify = 'DESC';
 	break;
	//Сортировка по умолчанию ID
 	default:
	$order = '`users`.`id`';
	$sorting = 'id';
	$classify = 'DESC';
 	break;
   }
  $users_p = array
                 ('ball' => 'Баллы',
				 'id'=>'ID',
				 'pol'=>'Пол',
				 'team'=>'Статус');
	echo "<div class='posts'>
	<form>
	Сортировать:
	<select name='menu' onchange='top.location.href = this.options[this.selectedIndex].value;'> 
	<option selected>{$users_p[$sorting]}
	<option value='?act=users_list&sorting=ball&amp;page=$page'>Баллы</option>
	<option value='?act=users_list&sorting=team&amp;page=$page'>Статус</option>
	<option value='?act=users_list&sorting=id&amp;page=$page'>ID</option>
	</select>
	</option></form></div>";


echo '<div class="maintitle mainrazd">Поиск пользователя:</div>
<div class="maintext"><form action="?act=search&'.$conservation.'" method="post">';
echo '<input type="text" name="search"> ';
echo '<input type="submit" name="submit" value="Искать"><br/></form>';
echo '<small>* Поиск можно сделать по Email, по имени, и по логину</small></div>';
  $allfield = mysql_result(mysql_query("SELECT COUNT(*) FROM `users`"),0);
  $newlist = new Navigation($allfield,10, true);    

$user = mysql_query("SELECT * FROM `users` ORDER BY $order $classify ". $newlist->limit()."");
$users = mysql_fetch_array($user);
echo '<div class="maintitle mainrazd">Список всех пользователей</div><div class="maintext">';
do
{
echo "<div class='posts'>";
//Анкета пользователя
users_profile($users['id']);
echo list_users($users['id']).'<br/>';

    if($sorting=='id')
        echo 'ID: '.$users['id'].'<br/>';
    if ($sorting=='ball')
        echo "Баллы: $users[ball]<br />\n";
    if($sorting == 'team') {
        echo $users_position->users_prava1($users['team']);
		echo '<br/>';
	}

echo "Зарегистрирован: ".$timedate->times($users['datereg'])."<br/></div>";
}
while($users = mysql_fetch_array($user));
echo '</div>';
echo '<div class="pages">';
echo $newlist->pagination("act=users_list");
echo '</div>';

break;

  /*
  -------------------------------
  Поиск пользователей
  -------------------------------
  */
case'search':
$shcmsengine['title'] = 'Все пользователи';
include_once'../template/head.php';
if($_POST['submit'])
{$submit = $_POST['submit'];}
if(isset($submit))
{


    if($_POST['search']){
        $search = $_POST['search'];
	}
        $search = stripslashes($search);
        $search = htmlspecialchars($search);
    
	if(empty($search)){
        echo '<div class="errors">Вы ничего не ввели</div>';
    header('Refresh: 1; url=?act=users_list&' . $conservation . '&' );
    include_once'../template/foot.php';
    exit();
    }
	
        $searc = mysql_query("SELECT * FROM `users` WHERE MATCH(`name`,`login`,`email`)  AGAINST('$search' IN BOOLEAN MODE)");
		$sear_us = mysql_fetch_array($searc);
    if($sear_us['login'] == NULL)
    {
	
	        echo '<div class="errors">Такого пользователя не существует</div>';
        echo '<div class="posts"><a href="/static.php?act=users_list">Назад</a></div>';

    include_once'../template/foot.php';
    exit();
	}
	$search_count = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE MATCH(`name`,`login`,`email`) AGAINST('$search' IN BOOLEAN MODE)"),0);
	echo '<strong><center>Найдено пользователей: '.$search_count.'</center></strong>';
 do
 {
        echo '<div class="posts"> 
		<strong><a href="'.DIR_SHCMS.'change_view.php?id='.$sear_us['id'].'">'.$sear_us['login']."</a></strong>
        </div>";
 }
  while($sear_us = mysql_fetch_array($searc));
  include_once '../template/foot.php';
  exit();

}else
{
	        echo '<div class="errors">Такого пользователя не существует</div>';
        echo '<div class="posts"><a href="/static.php?act=users_list">Назад</a></div>';
}


break;

/*
-----------------------------
Пользователи на сайте
-----------------------------
*/
            case'online_users';
			
    $shcmsengine['title'] = 'Пользователей на сайте';
    include_once'../template/head.php';

        $allfield1 = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `datelast` > '".(time()-600)."'"),0);
        $newlist1 = new Navigation($allfield1,10,true);     

    $onl_user = mysql_query("SELECT * FROM `users` WHERE `datelast` >".(time()-600)." ORDER BY `datelast`DESC ". $newlist1->limit()."");
    $onl_users = mysql_fetch_array($onl_user);

	    echo '<img src="/template/icon/users.png"/> <b>На сайте: </b>'.$allfield1.' человек';
    if($onl_users == null)
    {
        echo '<div class="posts">На сайте никого нет</div>';}
    else 
	{
        $shout = mysql_query("SELECT COUNT(*) FROM `users`");
        echo '<div class="maintitle mainrazd">Список пользователей на сайте</div><div class="maintext">';
  do
  {
        echo '<div class="posts">';

        //Анкета пользователя
        users_profile($onl_users['id']);

        echo list_users($onl_users['id']).'';
        echo "<br/>Зарегистрирован: ".$timedate->times($onl_users['datereg'])."";
        echo "<br/>Последний визит: ".$timedate->times($onl_users['datelast'])."<br/>";
        echo '</div>';
  }
  while($onl_users = mysql_fetch_array($onl_user));
        echo '</div>';
        echo '<div class="pages">';
        echo $newlist1->pagination("act=online_users");
        echo '</div>';
    }

            break;

/*
-----------------------------
Гости на сайте
-----------------------------
*/
case'guest_users':

$shcmsengine['title'] = 'Гостей на сайте';
include_once'../template/head.php';



    $guest_on = mysql_result(mysql_query("SELECT COUNT(*) FROM `online_guest` WHERE `time` > '". (time()-300) ."'"), 0);

    if ($guest_on == 0)
    {
       echo '<div class="posts">Гостей сейчас нет</div>';
	}
    else
    {
    $user_guest = mysql_query("SELECT * FROM `online_guest` WHERE `time`> '". (time()-300) ."' ORDER BY ip DESC");
    $us_guest = mysql_fetch_array($user_guest);
   do
    {
        echo '<div class="posts"><img src="/template/icon/users/0.png"/> Гость ('.$timedate->times($us_guest['time']) . ')<br/>';
		echo 'IP адрес: '.long2ip($us_guest['ip']); //IP адрес гостя
		echo '<br/>';
		echo 'Браузер: '.$us_guest['ua'];   //Браузер с которого зашел гость
		echo '
        </div>';
    }
    while($us_guest = mysql_fetch_array($user_guest));
	}

	

break;
endswitch;
include_once'../template/foot.php';
?>